org.mozilla.javascript.annotations

## Annotation Type JSFunction

    @Documented
    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public @interface JSFunction

An annotation that marks a Java method as JavaScript function. This can be used as an alternative to the `jsFunction_` prefix desribed in `ScriptableObject.defineClass(org.mozilla.javascript.Scriptable, java.lang.Class)`.

### Optional Element Summary

Optional Elements
`java.lang.String` `value`

### Element Detail

#### value

    public abstract java.lang.String value

Default:
  ""